Subject: Re: bug#36526: Previous work on this subject

From: Juri Linkov <[email-masked]>
Date: Mon, 16 Nov 2020 23:12:24 +0200

> [Please CC me; I'm subscribed to devel, not bugs.
> Also, hopefully DMARC doesn't mess anyone up here.]
>
> I wrote a version of this feature before; at the time, the list wasn't
> convinced of the motivation, but there seems to be some more interest
> since.  The patch still applies and works; I'd be glad to update it
> further for inclusion.
>
> https://lists.gnu.org/archive/html/emacs-devel/2016-02/msg01066.html

Thanks, this is the most advanced implementation among several others.
I tried it, and it does everything needed, and the code is quite compact.
So I recommend to install this useful feature from the patches above.

PS: I noticed some minor issues that could be improved afterwards.